<ion-header>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button></ion-back-button>
        </ion-buttons>
        <ion-title>profile</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>
    <img class="bgImg" src="assets/slider1.jpg">
    <div class="image">
        <img src="assets/person.jpg">
    </div>
    <div>

    </div>
    <ion-list>
        <ion-list-header color="primary">
            <ion-label>Personal Information</ion-label>
        </ion-list-header>
        <ion-item>
            <ion-label>Name</ion-label>
            <ion-label class="ion-text-right">{{user?.name}}</ion-label>
        </ion-item>

        <ion-item>
            <ion-label>Age</ion-label>
            <ion-label class="ion-text-right">{{user?.age}}</ion-label>
        </ion-item>
        <ion-item>
            <ion-label>Age</ion-label>
            <ion-label class="ion-text-right">{{user?.age}}</ion-label>
        </ion-item>
        <ion-item>
            <ion-label>Address</ion-label>
            <ion-label class="ion-text-right">{{user?.address}}</ion-label>
        </ion-item>
        <ion-item lines="none">
            <ion-label>Email</ion-label>
            <ion-label class="ion-text-right">{{user?.email}}</ion-label>
        </ion-item>

    </ion-list>

    <!-- <ion-list *ngIf="offers">
        <ion-list-header color="primary">
            <ion-label>Messages</ion-label>
        </ion-list-header>
        <ng-container *ngFor="let m of user?.messages">
            <ion-item>
                <p class="ion-text-left">{{m}}</p>
            </ion-item>
        </ng-container>

    </ion-list> -->

    <ion-grid fixed>
        <ion-row>
            <ion-col size="12">
                <h3> My Offers </h3>
            </ion-col>
        </ion-row>

        <ion-row *ngIf="offers">
            <ng-container *ngFor="let o of offers">
                <ion-col size="6" class="ion-no-padding">
                    <ion-card>
                        <img [src]="o.url" />
                        <ion-card-header>
                            <ion-card-subtitle>
                                <span>{{o.category}}</span>
                            </ion-card-subtitle>
                            <ion-card-title>
                                <h6><strong>{{o.title}}</strong></h6>
                            </ion-card-title>
                        </ion-card-header>
                    </ion-card>
                </ion-col>
            </ng-container>
        </ion-row>
    </ion-grid>
</ion-content>
